Page MenuHomePhabricator

[mips] [IAS] Remove AssemblerPredicate's from RelocPIC and RelocStatic.
ClosedPublic

Authored by tomatabacu on Mar 12 2015, 10:32 AM.

Details

Summary

These AssemblerPredicate's are unnecessary and actually make some instructions unusable when assembling pre-MIPS32 ISAs.
For example, this was causing the IAS to reject the 'j' instruction for MIPS I-V.

Diff Detail

Event Timeline

tomatabacu retitled this revision from to [mips] [IAS] Remove AssemblerPredicate's from RelocPIC and RelocStatic..
tomatabacu updated this object.
tomatabacu edited the test plan for this revision. (Show Details)
tomatabacu added a reviewer: dsanders.
tomatabacu added a subscriber: Unknown Object (MLST).
dsanders edited edge metadata.Mar 13 2015, 9:18 AM

LGTM with a nit

test/MC/Mips/mips1/valid.s
126–128

Nit: These aren't necessary. Likewise for the other tests.

dsanders accepted this revision.Mar 13 2015, 9:18 AM
dsanders edited edge metadata.
This revision is now accepted and ready to land.Mar 13 2015, 9:18 AM
tomatabacu updated this revision to Diff 22093.Mar 17 2015, 8:07 AM
tomatabacu edited edge metadata.

Addressed nit.
Rebased.

I'm waiting for D8294 to get accepted and commited, before I commit this patch.

tomatabacu updated this object.Apr 8 2015, 3:08 AM
tomatabacu closed this revision.Apr 8 2015, 3:09 AM